OCU

OBSOLETO: Outdated Code Usage (utilizzo di codice obsoleto); sostituito da OU, Outdated Usage (utilizzo obsoleto)

Sfondo

OCU identifica una situazione in cui alcuni nodi JCR, come i componenti Sling o AEM o le esportazioni API OSGi, vengono modificati o rimossi in modo non compatibile. Il cliente potrebbe non essere a conoscenza di questa modifica prima di un aggiornamento. Possono essere aggiornati a una versione non compatibile o non essere disponibili.

Poiché le versioni precedenti non sono installate per impostazione predefinita, l’applicazione del cliente potrebbe non funzionare correttamente.

Possibili implicazioni e rischi

  • La funzionalità che dipende da qualsiasi componente che utilizza componenti o API obsoleti può essere interrotta e potrebbe non essere risolta correttamente dopo un aggiornamento.
  • Alcune funzionalità dell’applicazione del cliente o alcune funzionalità AEM potrebbero non venire eseguite correttamente o potrebbero non essere attive dopo un aggiornamento.

Soluzioni possibili

  • A breve termine: potrebbe essere utile installare un pacchetto di compatibilità.
  • A lungo termine: adatta il codice del cliente per utilizzare la versione più recente di componenti o API AEM.
  • Contatta il Team di supporto AEM per ottenere chiarimenti o risolvere dubbi.

In questa pagina